/*global $,owl,smoothScroll,AOS*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });


    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });



    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 50
    });


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 100) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $('.about-s .inner').addClass('view');
        }
    });

    $('[data-fancybox]').fancybox();


    $(".pr-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 5000,
        items: 3,
        mouseDrag: true,
        pagination: false,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 2],
			[700, 2],
            [800, 2],
			[1000, 2],
			[1200, 3],
			[1400, 3],
			[1600, 3]
        ],
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true
    });

    $(".h-slider").owlCarousel({
        transitionStyle: "fade",
        navigation: false,
        slideSpeed: 1000,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 5000,
        pagination: false,
        stopOnHover: false,
        mouseDrag: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-arrow-left'></i></span>", "<span class='slider-right'><i class='fa fa-arrow-right'></i></span>"]
    });

    $(".b-slider").owlCarousel({
        transitionStyle: "fade",
        navigation: true,
        slideSpeed: 1000,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 5000,
        pagination: true,
        stopOnHover: false,
        mouseDrag: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-arrow-left'></i></span>", "<span class='slider-right'><i class='fa fa-arrow-right'></i></span>"]
    });

    $('.open-menu').click(function () {
        $('.org').slideToggle();
    });



    $('.open-menu').click(function (e) {
        e.stopPropagation();
    });

    var windowWidth = $(window).width();
    if (windowWidth <= 1024) {
        $('body').click(function () {
            $('.org').slideUp();
        });
    }
    $('.org li').on("click", function () {
        $(this).addClass('current-menu-item').siblings().removeClass('current-menu-item');
    });

    $('.timer').countTo();

    var head_height = $('.main-head').innerHeight();

    $('.hero-s .item').height(window.innerHeight - head_height);


});